Subject: Re: [Sip] I-D ACTION:draft-ietf-sip-outbound-10.txt

From: "Jeroen van Bemmel" <[email-masked]>
Date: Sun, 22 Jul 2007 15:45:24 +0200

Extra line of requirement text for section 4.2 on registrations:

When the UAC includes a 'reg-id' parameter in a Contact, it MUST include the 
same parameter and value in refreshes and deregistrations for that Contact.
(could be combined with the remark on re-registrations at the end, the 
latter should also mention de-registrations)

This is needed in (or at least greatly simplifies) a deployment where the 
registrar is separate from the edge proxy, in which case the registrar may 
not be able to determine which flow is being refreshed / deregistered (e.g. 
when TCP connections between the edge proxies and the registrar got 
recycled)

You may want to say a few words on the processing of refreshes and 
deregistrations in section 6, as the matching of bindings is now different 
from RFC3261 (it now includes the instance-id & reg-id)

Regards,
Jeroen

> [email-masked] wrote:
>>> A New Internet-Draft is available from the on-line Internet-Drafts
>>> directories.
>>> This draft is a work item of the Session Initiation Protocol Working
>>> Group of the IETF.
>>>
>>> Title : Managing Client Initiated Connections in the Session
>>> Initiation Protocol (SIP) Author(s) : C. Jennings, R. Mahy
>>> Filename : draft-ietf-sip-outbound-10.txt
>>> Pages : 42
>>> Date : 2007-7-12
>>>
>>> The Session Initiation Protocol (SIP) allows proxy servers to
>>>   initiate TCP connections and send asynchronous UDP datagrams to
>>>   User Agents in order to deliver requests.  However, many practical
>>>   considerations, such as the existence of firewalls and Network
>>>   Address Translators (NATs), prevent servers from connecting to
>>>   User Agents in this way.  This specification defines behaviors
>>>   for User Agents, registrars and proxy servers that allow requests
>>>   to be delivered on existing connections established by the User
>>>   Agent. It also defines keep alive behaviors needed to keep NAT
>>>   bindings open and specifies the usage of multiple connections.
>>>
>>> A URL for this Internet-Draft is:
>>> http://www.ietf.org/internet-drafts/draft-ietf-sip-outbound-10.txt
>>>
>>> To remove yourself from the I-D Announcement list, send a message to
>>> [email-masked] with the word unsubscribe in the body
>>> of
>>> the message.
>>> You can also visit
>>> https://www1.ietf.org/mailman/listinfo/I-D-announce
>>> to change your subscription settings.
>>>
>>> Internet-Drafts are also available by anonymous FTP. Login with the
>>> username "anonymous" and a password of your e-mail address. After
>>> logging in, type "cd internet-drafts" and then
>>> "get draft-ietf-sip-outbound-10.txt".
>>>
>>> A list of Internet-Drafts directories can be found in
>>> http://www.ietf.org/shadow.html
>>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>>
>>> Internet-Drafts can also be obtained by e-mail.
>>>
>>> Send a message to:
>>> [email-masked].
>>> In the body type:
>>> "FILE /internet-drafts/draft-ietf-sip-outbound-10.txt".
>>>
>>> NOTE: The mail server at ietf.org can return the document in
>>> MIME-encoded form by using the "mpack" utility.  To use this
>>> feature, insert the command "ENCODING mime" before the "FILE"
>>> command.  To decode the response(s), you will need "munpack" or
>>> a MIME-compliant mail reader.  Different MIME-compliant mail readers
>>> exhibit different behavior, especially when dealing with
>>> "multipart" MIME messages (i.e. documents which have been split
>>> up into multiple messages), so check your local documentation on
>>> how to manipulate these messages.
>>>
>>> Below is the data which will enable a MIME compliant mail reader
>>> implementation to automatically retrieve the ASCII version of the
>>> Internet-Draft.
>>>
>>
>>
>>
>>> _______________________________________________
>>> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>>> This list is for NEW development of the core SIP Protocol
>>> Use [email-masked] for questions on current sip
>>> Use [email-masked] for new developments on the application of sip 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip